(function(api) {

    api.sectionConstructor['dog-pet-house-upsell'] = api.Section.extend({

        // Remove events for this section.
        attachEvents: function() {},

        // Ensure this section is active. Normally, sections without contents aren't visible.
        isContextuallyActive: function() {
            return true;
        }
    });

    const dog_pet_house_section_lists = ['banner', 'service'];
    dog_pet_house_section_lists.forEach(dog_pet_house_homepage_scroll);

    function dog_pet_house_homepage_scroll(item, index) {
        // Detect when the front page sections section is expanded (or closed) so we can adjust the preview accordingly.
        item = item.replace(/-/g, '_');
        wp.customize.section('dog_pet_house_' + item + '_section', function(section) {
            section.expanded.bind(function(isExpanding) {
                // Value of isExpanding will = true if you're entering the section, false if you're leaving it.
                wp.customize.previewer.send(item, { expanded: isExpanding });
            });
        });
    }
})(wp.customize);

// Example JavaScript/jQuery for tab interaction
jQuery(document).ready(function($) {
    $('.customize-control-radio input[type="radio"]').change(function() {
        // Remove active class from all labels
        $('.customize-control-radio label').removeClass('active');
        
        // Add active class to the selected label
        $(this).next('label').addClass('active');
    });
});

jQuery(document).ready(function($) {
    $('#dog-pet-house-custom-container img').on('click', function() {
        $('#dog-pet-house-custom-container img').removeClass('dog-pet-house-selected-img');
        $(this).addClass('dog-pet-house-selected-img');
        $(this).prev('input[type="radio"]').prop('checked', true).trigger('change');
    });
});